Skip to main content
GET
/
hos
/
logs
List HOS Logs
curl --request GET \
  --url https://api.withterminal.com/tsp/v1/hos/logs \
  --header 'Authorization: Bearer <token>' \
  --header 'Connection-Token: <connection-token>'
import requests

url = "https://api.withterminal.com/tsp/v1/hos/logs"

headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};

fetch('https://api.withterminal.com/tsp/v1/hos/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "hos_log_01D8ZQFGHVJ858NBF2Q7DV9MNC",
      "sourceId": "123456789",
      "provider": "geotab",
      "driver": "drv_01D8ZQFGHVJ858NBF2Q7DV9MNC",
      "startedAt": "2021-01-06T03:24:53.000Z",
      "remarks": [
        {
          "notes": "<string>",
          "sourceId": "123456789",
          "submittedAt": "2021-01-06T03:24:53.000Z"
        }
      ],
      "metadata": {
        "addedAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z"
      },
      "vehicle": "vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC",
      "codrivers": [
        "drv_01D8ZQFGHVJ858NBF2Q7DV9MNC"
      ],
      "endedAt": "2021-01-06T03:24:53.000Z",
      "location": {
        "longitude": -122.4194155,
        "latitude": 37.7749295
      },
      "raw": []
    }
  ],
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
}
{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}
{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}
{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}
{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}
{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}
{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connection-Token
string
required

The token returned when a user authenticated their account. This authorizes access to a specific account.

Pattern: ^con_tkn_\S+$
Example:

"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"

Query Parameters

cursor
string<cursor>

Pagination cursor to start requests from

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

limit
integer

The maximum number of results to return in a page.

startedAfter
string<date-time>

Only include records of statuses that started after a provided date. ISO 8601 date

Example:

"2021-01-06T03:24:53.000Z"

startedBefore
string<date-time>

Only include records of statuses that started before a provided date. ISO 8601 date

Example:

"2021-01-06T03:24:53.000Z"

modifiedAfter
string<date-time>

Only include records that were last modified after a provided date.

Example:

"2021-01-06T03:24:53.000Z"

modifiedBefore
string<date-time>

Only include records that were last modified before a provided date.

Example:

"2021-01-06T03:24:53.000Z"

driverIds
string

Comma separated list of driver IDs to filter for. Can filter up to 50 drivers at a time. Each ID must use the drv_ prefix.

Pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}(\s*,\s*drv_[0-9A-HJKMNP-TV-Z]{26})*$
expand
enum<string>

Expand resources in the returned response

Available options:
driver,
vehicle,
codrivers,
driver,vehicle,
driver,codrivers,
vehicle,driver,
vehicle,codrivers,
codrivers,driver,
codrivers,vehicle,
driver,vehicle,codrivers,
driver,codrivers,vehicle,
vehicle,driver,codrivers,
vehicle,codrivers,driver,
codrivers,driver,vehicle,
codrivers,vehicle,driver
raw
boolean

Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.

Response

OK

results
HOS Log · object[]
required
next
string<cursor>

Cursor used for pagination.

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"